# $Revision: 1.14 $, $Date: 2008-01-17 10:14:06 $
#
# TODO:
#       - split package into two: taskjuggler and taskjuggler-kde
#         like in reference spec-file
#
Summary:	TaskJuggler - a project management tool
Summary(pl.UTF-8):	TaskJuggler - narzędzie do zarządzania projektami
Name:		taskjuggler
Version:	2.4.0
Release:	1
License:	GPL v2
Group:		Applications
Source0:	http://www.taskjuggler.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	d9076b5a1d2601f93ea4bc07780b7297
Source1:	http://www.taskjuggler.org/download/manual-%{version}.tar.bz2
# Source1-md5:	b1c1a04581dec6b6f4bdc274836041a5
Patch0:		kde-ac260-lt.patch
URL:		http://www.taskjuggler.org/
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-utils
BuildRequires:	jadetex
BuildRequires:	kdepim-devel >= 3.3
BuildRequires:	libxslt-devel
BuildRequires:	libxslt-progs
BuildRequires:	openjade
BuildRequires:	perl-Date-Calc
BuildRequires:	perl-Class-MethodMaker
BuildRequires:	perl-PostScript-Simple
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-base
BuildRequires:	poster
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
Taskjuggler is a project management tool for Linux and UNIX
system-based operating systems. Whether you want to plan your
colleague's shifts for the next month or want to build a skyscraper -
Taskjuggler is the tool for you. Instead of clicking yourself
painfully through hundreds of dialog boxes you specify your
Taskjuggler project in a simple text format. You simply list all your
tasks and their dependencies. The information is sent through
Taskjuggler and you will get all sorts of reports in HTML or XML
format. Taskjuggler does not only honor the task interdependencies but
also takes resource constrains into account. Using Taskjuggler's
powerful filtering and reporting algorithms you can create task lists,
resource usage tables, status reports, project calendars and project
accounting statements.

%description -l pl.UTF-8
Taskjuggler to narzędzie do zarządzania projektami dla Linuksa i
innych uniksowych systemów operacyjnych. Jest to narzędzie pozwalające
np. na zaplanowanie zmian kolegów w przyszłym miesiącu albo budowania
wieżowca. Zamiast bolesnego przeklikiwania się przez setki okienek
dialogowych przekazuje się projekt w prostym formacie tekstowym.
Wystarczy wypisać wszystkie zadania i ich zależności. Informacje są
przesyłane przez Taskjugglera, a użytkownik dostanie wszystkie rodzaje
raportów w formacie HTML lub XML. Taskjuggler nie tylko honoruje
wzajemne zależności zadań, ale także bierze pod uwagę ograniczenia
zasobów. Przy użyciu potężnego filtrowania i algorytmów raportowania
Taskjugglera można stworzyć listy zadań, tabele wykorzystania zasobów,
raporty o stanie, kalendarze projektów i oświadczenia rozliczające
projekty.

%prep
%setup -q -a1
%patch0 -p1

%build
export kde_htmldir=%{_kdedocdir}
export kde_libs_htmldir=%{_kdedocdir}
%{__make} -f admin/Makefile.common cvs

%configure \
	--with-kde-support=yes \
	--with-qt-libraries=%{_libdir} \
	--disable-rpath \
	--disable-final

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	docprefix=%{_docdir}/%{name}-%{version}/html \
	kdeprefix=%{_kdedocdir}/en/taskjuggler

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*so.*.*.*
%{_desktopdir}/kde/*
%{_iconsdir}/*/*/*/*
%{_datadir}/apps/katepart/syntax/taskjuggler.xml
%{_datadir}/apps/%{name}
%{_datadir}/config/*
%{_datadir}/mimelnk/application/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: taskjuggler.spec,v $
Revision 1.14  2008-01-17 10:14:06  arekm
- up to 2.4.0

Revision 1.13  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.11  2006/03/22 12:42:53  pluto
- updated to 2.2.0.

Revision 1.10  2005/12/07 13:21:37  glen
- add patch to make tests valid (probably a hack)
- pass various doc macros in install and package language files

Revision 1.9  2005/05/09 00:12:19  pluto
- TODO += note about gcc bug.

Revision 1.8  2005/05/08 16:55:45  qboosh
- missing dirs

Revision 1.7  2005/05/08 16:51:36  prism
- it builds, ready for testing
- please check TODO and contribute

Revision 1.6  2005/04/14 06:14:01  ankry
- spaces -> tabs

Revision 1.5  2005/04/11 15:23:43  prism
- few modifications, nfy...

Revision 1.4  2005/03/16 07:18:58  prism
- fixed a small typo
- working on those perl modules...

Revision 1.3  2005/03/15 21:44:33  qboosh
- pl

Revision 1.2  2005/03/11 23:07:32  pluto
- more BRs, pch support added.

Revision 1.1  2005/03/11 22:50:38  pluto
- nfy...
